<?php
class TrafficAnalyzerViews extends TrafficAnalyzer {
	
	public function form() {
		$plugin_path = plugin_dir_path(__FILE__);	
		global $current_user;
						
		require_once $plugin_path . "/class-ta-data.php";			
		require_once $plugin_path . "/class-ta-data-graph.php";
			
		$table = new TA_Data_Graph();
					
		?>			
		
		
		<div id="data" >
			<div id="jqgrid" >
    			<table id="grid"></table>
    			<div id="gridpager"></div>
			</div>
		</div>
		
		<div class="wrap">			
		<?php screen_icon(); ?>			
		<h2>Traffic Analyzer : Views</h2>			
		<form method="get" action="">
		<input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
		<?php 
			$table->display();			
		?>
		</form>
		</div>
		
		
					
		<?php
		
	}
	
	public function actions() {
		add_action('load-toplevel_page_report_traffic-analyzer',array(&$this,"add_style"));
		add_action('load-toplevel_page_report_traffic-analyzer',array(&$this,"add_daterangepicker"));
		add_action('load-toplevel_page_report_traffic-analyzer',array(&$this,"add_jqgrid"));		
		add_action('load-toplevel_page_report_traffic-analyzer',array(&$this,"add_script"));		
			
	}	
}
